linux:
  network:
    enabled: false
    hostname: linux
    fqdn: linux.ci.local
  system:
    enabled: true
    at:
      enabled: false
      user:
        root:
          enabled: true
        testuser:
          enabled: true
    cron:
      enabled: false
      user:
        root:
          enabled: false
    cluster: default
    name: linux
    domain: ci.local
    environment: prd
    purge_repos: true
    directory:
      /tmp/test:
        makedirs: true
    apparmor:
      enabled: false
    haveged:
      enabled: true
    prompt:
      default: "linux.ci.local$"
    package:
      htop:
        version: latest
    repo:
      disabled_repo:
        source: "deb [arch=amd64] https://download.docker.com/linux/ubuntu xenial stable"
        enabled: false
      disabled_repo_left_proxy:
        source: "deb [arch=amd64] https://download.docker.com/linux/ubuntu xenial stable"
        enabled: false
        proxy:
          enabled: true
          https: https://127.0.5.1:443
      saltstack:
        source: "deb [arch=amd64] http://mirror.mirantis.com/update/2019.2.0/saltstack-2017.7/xenial xenial main"
        key_url: "http://mirror.mirantis.com/update/2019.2.0/saltstack-2017.7/xenial/SALTSTACK-GPG-KEY.pub"
        architectures: amd64
        clean_file: true
        pinning:
          10:
            enabled: true
            pin: 'release o=SaltStack'
            priority: 50
            package: 'libsodium18'
          20:
            enabled: true
            pin: 'release o=SaltStack'
            priority: 1100
            package: '*'
      apt-salt:
        source: "deb http://apt.mirantis.com/xenial stable salt"
        #key_url: http://apt.mirantis.com/public.gpg
        # pub   4096R/A76882D3 2015-06-17
        key: |
          -----BEGIN PGP PUBLIC KEY BLOCK-----
          Version: GnuPG v1

          mQINBFWBfCIBEADf6lnsY9v4rf/x0ribkFlnHnsv1/yD+M+YgZoQxYdf6b7M4/PY
          zZ/c3uJt4l1vR3Yoocfc1VgtBNfA1ussBqXdmyRBMO1LKdQWnurNxWLW7CwcyNke
          xeBfhjOqA6tIIXMfor7uUrwlIxJIxK+jc3C3nhM46QZpWX5d4mlkgxKh1G4ZRj4A
          mEo2NduLUgfmF+gM1MmAbU8ekzciKet4TsM64WAtHyYllGKvuFSdBjsewO3McuhR
          i1Desb5QdfIU4p3gkIa0EqlkkqX4rowo5qUnl670TNTTZHaz0MxCBoYaGbGhS7gZ
          6/PLm8fJHmU/phst/QmOY76a5efZWbhhnlyYLIB8UjywN+VDqwkNk9jLUSXHTakh
          dnL4OuGoNpIzms8juVFlnuOmx+FcfbHMbhAc7aPqFK+6J3YS4kJSfeHWJ6cTGoU1
          cLWEhsbU3Gp8am5fnh72RJ7v2sTe/rvCuVtlNufi5SyBPcEUZoxFVWAC/hMeiWzy
          drBIVC73raf+A+OjH8op9XfkVj6czxQ/451soe3jvCDGgTXPLlts+P5WhgWNpDPa
          fOfTHn/2o7NwoM7Vp+BQYKAQ78phsolvNNhf+g51ntoLUbxAGKZYzQ5RPsKo+Hq6
          96UCFkqhSABk0DvM0LtquzZ+sNoipd02w8EaxQzelDJxvPFGigo1uqGoiQARAQAB
          tCx0Y3BjbG91ZCBzaWduaW5nIGtleSA8YXV0b2J1aWxkQHRjcGNsb3VkLmV1PokC
          OwQTAQIAJQIbAwYLCQgHAwIGFQgCCQoLBBYCAwECHgECF4AFAlWj4K8CGQEACgkQ
          JACFCadogtPm9xAAl1D1RUY1mttjKk+8KI3tUmgtqLaIGUcB4TPbIhQpFy23TJd6
          BnnEaGZ+HSCj3lp/dBoq1xxCqHCziKA04IpPaLpGJf8cqaKOpQpW1ErlSxT6nCQW
          FrHFxZreBTljKqW3fvRBXNAquj0krJEwv19/3SsQ+CJI2Zkq/HPDw9eJOCu0WcJM
          PVtAq2SmaDigh1jtFcFoWZ7uFFMQPIWit/RCPkDfkFaf6lbYZ/nnvWON9OAgzWci
          GJjCp5a7vMyCpTRy6bgNPqM61omCe0iQ4yIcqANXhRYS/DBnjKr9YaDKnlKNUgd1
          WRE8QzErQznH/plgISQ+df+8Iunp3SBr/jj1604yyM1Wxppn1+dAoTBU1OPFGVd3
          mCEYHUe+v0iTZ69C2c1ISmp2MjciGyE/UPbW9ejUIXtFJAJovZjn6P3glyIQB3wq
          AW6JE+xEBWH7Ix+Uv6YNAFfj3UO6vNjtuGbTCWYDCEJRkdmeE7QdTYDo7PxgPl1t
          6xMGPLOBdYNJTEojvRYBTt+6iw0eZ+MCUdUFNeaseQh0p1RgqM9/7t75QCNLl1oO
          +Cfu4vNef/Tpd3LHcUoQhQ2OViOVFbq1/Yu/natWDPDcXb3peTcNHOjmXAoboWbz
          rDkxj5z7vcJ9LMEXviP6Fb/iXDmJh74/o6Agc8efb0WTmFjPFFtMCHrinb+5Ag0E
          VYF8IgEQALUVS2GESQ+F1S4b0JIO1M2tVBXiH4N56eUzcDXxXbSZgCgx4aWhk5vJ
          Qu7M11gtqIoiRbmuFpUmDOG/kB7DxBZPn8WqcBKpky6GUP/A/emaAZTwNQdcDAhD
          foBkJdhVz0D2jnkBffYL055p/r1Ers+iTTNOas/0uc50C32xR823rQ2Nl6/ffIM6
          JqfQenhRvqUWPj9oqESHMsqEdceSwS/VC7RN4xQXJXfEWu2q4Ahs62RmvCXnTw1A
          sPcpysoBoo8IW+V1MVQEZuAJRn2AGO/Q7uY9TR4guHb3wXRfZ3k0KVUsyqqdusJi
          T3DxxBw6GcKdOH6t41Ys3eYgOrc+RcSdcHYSpxaLvEIhwzarZ+mqcp3gz/JkPlXS
          2tx2l6NZHcgReOM7IhqMuxzBbpcrsbBmLBemC+u7hoPTjUdTHKEwvWaeXL4vgsqQ
          BbEeKmXep5sZg3kHtpXzY9ZfPQrtGB8vHGrfaZIcCKuXwZWGL5GGWKw3TSP4fAIA
          jLxLf5MyyXcsugbai2OY/H4sAuvJHsmGtergGknuR+iFdt5el1wgRKP1r1KdmvMm
          wsSayc6eSEKd689x3zsmAtnhYM31oMkPdeYRbnN15gLG7vcsVe4jug0YTqQt2WGn
          hwjBA0i2qfTorXemWChsxKllvY9aB3ST8I6RMat0kS08FMD+Ced/ABEBAAGJAh8E
          GAECAAkFAlWBfCICGwwACgkQJACFCadogtNicA/9HOM402VGHlmuYPcrvEThHqMK
          KOTtNFsrrPp67dGYaT8TGTgy1OG4Oys2y+hrwqnUK6dXJxX2/RBfRuO/gw65RCfC
          9nWeMkqJTjHJCKNTYfXN4O4ag444UZPcOMq+IyiWF3/sh674zCkCm5DQ/FH8IJ8Y
          n4jMoxe7G48PCGtgcJKXo8NBzxwXJH4DCdk7rNdrbrnCwObG8h6530WrmzKuyFCJ
          QP5JA0MSx23J2OrK2YmVMhTeO0czJ8fRip9We9/qAfZGUEW+sey+nLmT5OJq04al
          Va9g2a4nXxzDy84+hRXQNUeCRYn/ys8d8q9HZNv3K36HlILcuWazNTTh0cuWupBd
          SlIEuWbIdbknYpGsmS1cPeGi0bdoLZv90BIVmdOS/vXP02fGUblyANciKcBPRhOI
          +z6hzwdZ+QvjPbxZUig5XuvqBhIHoRtMBJdf24ysFuf/d4uZzTC8T4rUQO+L29bt
          8riT0dg6cHVwC0VH89FaO1FduvsCtAwdAgxSzOMBECNOmVBThIiWdLnns107Rp4F
          ECk+l2UCjl7zwGqJqcd1BQK+UgZwVG2UV11CrhopKU5oGL84n5DaO2n6Rv8wVdrt
          MKvqi7EkgvZpY0IHJ7rp0Gzrv0qmwJaUFCWFogITNyijb1JVsUgDTMhAkEgEsIYy
          jtcwJrHue5Xn8UPSLkE=
          =SWiA
          -----END PGP PUBLIC KEY BLOCK-----
        architectures: amd64
        proxy:
          enabled: true
      apt-salt-nightly:
        source: "deb http://apt.mirantis.com/xenial nightly salt"
        key_url: http://apt.mirantis.com/public.gpg
        architectures: amd64
        proxy:
          enabled: false
      apt-extra-nightly:
        source: "deb http://apt.mirantis.com/xenial nightly extra"
        key_url: http://apt.mirantis.com/public.gpg
        architectures: amd64
      duo:
        key: |
          -----BEGIN PGP PUBLIC KEY BLOCK-----
          Version: GnuPG v2.0.22 (GNU/Linux)

          mQINBF68XyMBEACtnqumd2ocG1qM8BZToRr+BLbWDwa1XWWovuonKupP2Im7F9a6
          C71lSbD1QX0N0jvesMldrvLHnXFjOOKweNZlMSSzvB0TwSRgLugwaA/LI/g3R4IO
          AMg4pKKbjguJ9nTAlHj0xQ2aWYI5dep6uks5tB5SCoyaqDc0eGzkkytuwNKLjEhd
          GNFTH1cBIQsYYKdsfrNh9C3i4ps9jf3Gb3PtpTGdCvxIC1w66wxQO2w2yjD4wYdc
          VMi5Uy/q8OjxX58YwA5RHt91B75wp6oQa6rKlzyu64H8bffzVn6ukGTLfKepY9WF
          Hd106D/3lzO9jBXUj125ATIDFl3ObVG9JtiUVkmRl44Sgp4nLJWpejWWgDxGN6sd
          U3l3bltPYZH/yrlNGaJEshshBSEL8PFRSxx3i+NKdUZhe5yzcxKFT1ZTSPZiKc7m
          9hr9BP0+54HzhgZScUsehQXvNe9TwOZccGmyn0Hix3zXBW1LsswFr396RUfKo8IO
          82hgaOnlYko8Y/dwPZcc3CEYiEwwQ13PagdO5c/YufZpWB4cq1r95tAzE3QHTOoQ
          lFQ3yr3HV30LAn//PL2QWePB5nt7qFZwt1RrmUly3a9OA5fyhsyXg22SA7CwZaCI
          gQc3HAYFNwPXCqiUlPdLbIb6OMSPI2Vd4U4IDb7bR726hWKYCIOcJQLm3QARAQAB
          tDJEdW8gU2VjdXJpdHkgUGFja2FnZSBTaWduaW5nIDxkZXZAZHVvc2VjdXJpdHku
          Y29tPokCPwQTAQIAKQUCXrxfIwIbAwUJEswDAAcLCQgHAwIBBhUIAgkKCwQWAgMB
          Ah4BAheAAAoJEHpFCGTBoHqF0qAP/RmAz9B2RydA3DAdLuqBIcswOi6gLAH/mzDh
          bisq4VXxLyIk1OfLVIdehvVKX3KINC54Pu9BltQpka8n0sBWPBXp5rp+EEB4epf4
          kp5OlJqm2CNZq5lBFlGXNtoC33o+cOachmWKnoqrc5iuOKyQCqpgpP3TxcyDQlyJ
          g18mrv0oN2LQjvTYZoYGQCEwe9iOYEnk+Dn5DNGtTuNTv5b2s1+TEGLuxlZeeHZz
          pItFEKTqYG2BA+dje2H4/eweuYDxKRJ4Y6NgsLMJRwvopfTNgIg4VV5DJ//jqabc
          0HWJ+x95d09ecBZBk+gKiGfU+r5zaVoVKBlHN4q1S3P/cXitaMEKqb9UdicCsB5u
          pA+Lu9KW5qKyElk3LdsMA5LFErlFRBNup3icuDZ9YP8582T0SXyGpALS2X6symdi
          3EZ587sCfEtI3cOZ/WQ7im05f/xu5x0RaZTUegOn6byFjyuKxIkQcAmtY2NvKpMI
          7cY1YOuYHGodiV/YQkaoZDFnbxMwI0JeboF9zuYMVqwC0tDvU92+NNaqcdJycwYQ
          s5byXHB0TycUmIYxcRcuRYXeFa7T94fXY8IwsK6TWMEE04phsbujKzZ8IXxZ/5p4
          j6dmGJf5OG0WC0KYZBAV5RuSWrGoVv1AS7WO511VP9gkUVZ9Ua9M62TdZ4FVqz7s
          NBJXY7eBuQINBF68XyMBEACWjR4yUiDiQy/MTABjeI9PU80HUipGYe/CM0FXNhO6
          D7M9150UgYICGFEyHXI4puVGV05WhG+/Be7UNcxO4OQpagz3b+a/OrTShEAev7Ck
          /Sxw7qhGIpDt8A4duwNscPsLWnAcKetGOxw8YieR2NE11gYdp0xhPao1MUs2tTKM
          nWqd/mr1KzAaPjx8FcKbUc1kQf0LHmxwzpZfh4+xWeNQ9GjLyXFvPvGl/YTjJz3k
          SygADIqHcPgWnO5t9vEFuVCAFd6oIYcnhJOYjxh5Rv0XWAA0do4gxOT0HfKrOeYM
          hpCFkJ1HgcqmO29yWJq6y0psEdyUBThhX+JEhRa3WMu1NkwV8g1MucPV7DYuPDPw
          43sGABU7KLhng4Lqw2r/2hwYsPNCdBZ9HBEfsnhXi0fL24jT8VBULCLt+OdRuQsx
          xBz2JIhul1FqmjPJLMMmfv6anMNXr8qAOCED74lE/8GKee+/r3TbWanrMMnWvwau
          2L7KxUAPcPM/Y8iSMFRlTmMN9ZuTomiZTIT+kkTea2lW6JG9r6kBeRglcqy9Hg+g
          ooab9QR7hftSQ2WWc4Ru5/ki2+PbDHm7Mw90sMBH43/JVPNowG51WvzK2ACJUA7G
          ET7cfxi2QLmtgnKk3F04+QRHvV9dV8o88sPZxp7GpparojEAmhBxXcZdz5wkc8bu
          RQARAQABiQIkBBgBAgAPBQJevF8jAhsMBQkSzAMAAAoJEHpFCGTBoHqFsvIP9Rzo
          nSPena6p1GVkUvfO3N71atjnqgjajKjNaD1XmLTaXXb12p1pB+0Y7fgKZY6JUWbD
          BHHAUTadwl2t43I1hRycj9APPpYjJtFZQqdxMKJsE61q7LMgMDfgKVb/XDg7ApKz
          jwdHEbvSnmyK//5aedv60wFP0mJJnIvchcwyRM+azn2BoHtEIYvicPSOiKA0aG/U
          6RT5UkKbqfviyEdkke6JA8795LeagJ4tQlbUT66HskADRD9MFQgRXFYk6fgby77Q
          a/ni4UZLPkplcPvxKviC23pcx4JyJoskNVvt9ZgAVxZqY3ntdhcYE0U+xx2ENfXV
          T5eoOwnbu6+lL4oq/ev1m7VAYQCPWLCrjWi++ZZoxpu4IgLrJICuEFkvtRxRZYsg
          9dQ8RcuOC8HguLrblEl7DeO81D+bTQz3eT/+In2vjk40XXW0ReA6LZiaHfQYValj
          3ntKqlYqgtNEYdXFsxhP1xvsG9DSRiCrTkccaE2BZs9V9MnVP/RVxHdaGRupuc90
          gHsnKT25loh6PuJBw7SPZxitXqAmbeDl49GpfuAodxBihuemz5KT16VIoQy1OpHX
          ZLkCAcK8FH6+FUT8y1E/gzs4Kc+lN473B8OJs2XU5XwN56PcVPQuFJK4k7v4jySy
          MXBqsE6g78e0L2b31PujvG2DyNa0myrqfmNFKBk=
          =SZIy
          -----END PGP PUBLIC KEY BLOCK-----
        source: "deb [arch=amd64] http://pkg.duosecurity.com/Ubuntu xenial main"
        architectures: amd64
    locale:
      en_US:
        enabled: true
        default: true
      cs_CZ:
        enabled: true
    autoupdates:
      enabled: true
    sudo:
      enabled: false
    env:
      BOB_VARIABLE: Alice
      LANG: C
      LC_ALL: C
    login_defs:
      PASS_MAX_DAYS:
        value: 99
    shell:
      umask: '027'
      timeout: 900
    profile:
      vi_flavors.sh: |
        export PAGER=view
        alias vi=vim
      locales: |
        export LANG=en_US
        export LC_ALL=en_US.UTF-8
    auth:
      enabled: true
      duo:
        enabled: true
        duo_host: localhost
        duo_ikey: DUO-INTEGRATION-KEY
        duo_skey: DUO-SECRET-KEY

